PageTypeSuffix:
  type: PageType
  map:
    vcard.vcf: 888
PersonnelPagination:
  type: Plugin
  routePath: '/persons/{@widget_0/currentPage}'
  namespace: tx_personnel_personnel
  aspects:
    '@widget_0/currentPage':
      type: StaticRangeMapper
      start: '1'
      end: '999'
PersonnelVcard:
  type: Simple
  routePath: '/{person}'
  defaults:
    tag: ''
  requirements:
    person: '[1-999]'
  _arguments:
    person: person
  aspects:
    person:
      type: StaticRangeMapper
      start: '1'
      end: '999'
base: 'https://evtt.pmu.ac.at'
baseVariants:
  -
    base: 'https://evtt.pmu.ac.at.ddev.site/'
    condition: 'applicationContext == "Development"'
errorHandling:
  -
    errorCode: 404
    errorHandler: Page
    errorContentSource: 't3://page?uid=66'
languages:
  -
    title: Deutsch
    enabled: true
    base: /
    typo3Language: de
    locale: de_DE.UTF-8
    iso-639-1: de
    websiteTitle: ''
    navigationTitle: Deutsch
    hreflang: de-DE
    direction: ''
    flag: de
    languageId: 0
  -
    title: English
    enabled: true
    base: /en/
    typo3Language: default
    locale: en_US.UTF-8
    iso-639-1: en
    websiteTitle: ''
    navigationTitle: English
    hreflang: en-US
    direction: ''
    fallbackType: free
    fallbacks: ''
    flag: gb
    languageId: 2
rootPageId: 66
routeEnhancers:
  News:
    type: Extbase
    extension: News
    plugin: Pi1
    routes:
      -
        routePath: /
        _controller: 'News::list'
      -
        routePath: '/page-{page}'
        _controller: 'News::list'
        _arguments:
          page: '@widget_0/currentPage'
      -
        routePath: '/{news-title}'
        _controller: 'News::detail'
        _arguments:
          news-title: news
      -
        routePath: '/{category-name}'
        _controller: 'News::list'
        _arguments:
          category-name: overwriteDemand/categories
      -
        routePath: '/{tag-name}'
        _controller: 'News::list'
        _arguments:
          tag-name: overwriteDemand/tags
    defaultController: 'News::list'
    defaults:
      page: '0'
    aspects:
      news-title:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_news
        routeFieldName: path_segment
      page:
        type: StaticRangeMapper
        start: '1'
        end: '100'
      category-name:
        type: PersistedAliasMapper
        tableName: sys_category
        routeFieldName: slug
      tag-name:
        type: PersistedAliasMapper
        tableName: tx_news_domain_model_tag
        routeFieldName: slug
  EventPlugin:
    type: Extbase
    extension: SfEventMgt
    plugin: Pievent
    routes:
      -
        routePath: /
        _controller: 'Event::list'
      -
        routePath: '/{event_title}'
        _controller: 'Event::detail'
        _arguments:
          event_title: event
      -
        routePath: '/{event_title}/ical'
        _controller: 'Event::icalDownload'
        _arguments:
          event_title: event
      -
        routePath: '/{event_title}'
        _controller: 'Event::registration'
        _arguments:
          event_title: event
      -
        routePath: '/save-registration/{event_title}'
        _controller: 'Event::saveRegistration'
        _arguments:
          event_title: event
      -
        routePath: '/save-registration-result/{eventuid}/{result}/{hmac}'
        _controller: 'Event::saveRegistrationResult'
        _arguments:
          eventuid: eventuid
          result: result
          hmac: hmac
      -
        routePath: '/confirm-registration/{reguid}/{hmac}'
        _controller: 'Event::confirmRegistration'
        _arguments:
          reguid: reguid
          hmac: hmac
      -
        routePath: '/cancel-registration/{reguid}/{hmac}'
        _controller: 'Event::cancelRegistration'
        _arguments:
          reguid: reguid
          hmac: hmac
      -
        routePath: '/location/{location_title}'
        _controller: 'Event::list'
        _arguments:
          location_title: overwriteDemand/location
      -
        routePath: '/speaker/{speaker_name}'
        _controller: 'Event::list'
        _arguments:
          speaker_name: overwriteDemand/speaker
      -
        routePath: '/organisator/{speaker_name}'
        _controller: 'Event::list'
        _arguments:
          organisator_name: overwriteDemand/organisator
    defaultController: 'Event::list'
    requirements:
      eventuid: \d+
      reguid: \d+
      result: '[0-8]'
      hmac: '^[a-zA-Z0-9]{40}$'
    aspects:
      eventuid:
        type: PersistedAliasMapper
        tableName: tx_sfeventmgt_domain_model_event
        routeFieldName: uid
      reguid:
        type: PersistedAliasMapper
        tableName: tx_sfeventmgt_domain_model_registration
        routeFieldName: uid
      event_title:
        type: PersistedAliasMapper
        tableName: tx_sfeventmgt_domain_model_event
        routeFieldName: slug
      location_title:
        type: PersistedAliasMapper
        tableName: tx_sfeventmgt_domain_model_location
        routeFieldName: slug
      speaker_name:
        type: PersistedAliasMapper
        tableName: tx_sfeventmgt_domain_model_speaker
        routeFieldName: slug
      organisator_name:
        type: PersistedAliasMapper
        tableName: tx_sfeventmgt_domain_model_organisator
        routeFieldName: slug
websiteTitle: ''
